Notify when a topic is marked as resolved or reopened
Closed, ResolvedPublic

Description

Flow topics can be marked as resolved. When that happens the conversation is declared as done, an event that may be interesting to those participating in it.

We should avoid this to overlap with the notifications about changes in the topic summary (T125119) since both events can happen next to each other. The possibilities to consider:

  • The user resolves a topic and provides no summary: a "topic was resolved" notification is sent.
  • The user resolves a topic and provides a summary: a "topic was resolved" notification is sent which includes an excerpt of the summary. A flow-summary-edit is also sent. (Redundant, we understand, but the best we can do at present; see discussion below.)
  • The user edits the summary of a notification without marking it as resolved: an flow-summary-edit notification is sent.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.

We should probably also do reopen. That could be even more noteworthy to a participant.

Mattflaschen-WMF renamed this task from Notify when a topic is marked as resolved to Notify when a topic is marked as resolved or reopened.Feb 3 2016, 10:03 PM
Mattflaschen-WMF set Security to None.

I created a couple of example mockups to discuss, resolving and reopening (thanks @Mattflaschen for pointing to the complementary action):


Graphic assets used:

  • Resolve:
  • Reopen:

If these work in terms of copy, icons and actions I can update the spreadsheet to keep it in sync.

I wrote up a spec for the language and links in what I've dubbed flow-topic-resolved. Please see V 2.0 Notifications -- Showing Updated Text and Links, which accounts for the following variations:

  • The topic "How the moai moved?" was resolved
  • The topic "How the moai moved?" was resolved on your talk page.
  • The topic "How the moai moved?" was reopened.
  • The topic "How the moai moved?" was reopened on your talk page.

Note: in an effort to keep things at least a little simpler, I did not differentiate the secondary link for "on your talk page" versions (though in many other such cases we link to the Diff instead of the pagename). In the interest of not driving ourselves crazy, I hope that works for people.

I'm moving this to Design/Product until the spec is validated. @Pginer-WMF, @Quiddity, @Trizek-WMF and @Etonkovidova, please review the spreadsheet and leave your comments there.

Copied from T125119:

Regarding the issue of what to do when a topic is both summarized and resolved at the same time: Thanks for raising this issue Pau. As Matt correctly points out, however, these are separate events, so we'd have to do some dancing to handle the events as one.

Therefore, my take is this: while it might be desirable to create a single, unified notification (or a bundle), there is nothing inaccurate about notifying someone that a topic was resolved and that, shortly thereafter, the topic summary was updated (or created). Nor, I think, would users be surprised to learn that these two events had happened in a short time frame. Finally, it's hard to imagine this happening so frequently as to become spammy.

My inclination therefore is to keep things simple and let the two notifications go through. Let's see if anyone reacts.

If you feel this is an important refinement but agree that it's not something we need to deal with right now, please feel free to create a separate task in the backlog. Alternatively, if you feel strongly that we do need to address this now, please speak up.

I'm moving this to Design/Product until the spec is validated. @Pginer-WMF, @Quiddity, @Trizek-WMF and @Etonkovidova, please review the spreadsheet and leave your comments there.

Looks good to me. I added the missing icons in the spreadsheet as well as some comments there.

Moving this to Ready for Pickup. Please find the spec for the language, icons and links under flow-topic-resolved on the spreadsheet V 2.0 Notifications -- Showing Updated Text and Links, which accounts for the following variations:

  • The topic "How the moai moved?" was resolved
  • The topic "How the moai moved?" was resolved on your talk page.
  • The topic "How the moai moved?" was reopened.
  • The topic "How the moai moved?" was reopened on your talk page.

Change 276480 had a related patch set uploaded (by Matthias Mullie):
Notify when a topic is marked as resolved or reopened

https://gerrit.wikimedia.org/r/276480

Patch is up.

I may have missed it, but I couldn't find any decision on who should get these notifications.
Like other notifications, the people watching the topic & owner of the talk page will get the notification as it is now.

The doc also said to include the summary text. As noted in this ticket, summary is a second, separate, step & the summary content is not yet available at the point the notification is created. Result: the notification has no summary excerpt.

Change 276480 merged by jenkins-bot:
Notify when a topic is marked as resolved or reopened

https://gerrit.wikimedia.org/r/276480

Etonkovidova added a comment.EditedMar 24 2016, 6:34 PM

@matthiasmullie - the topic titles are displayed as the following:

Also

@matthiasmullie this is in "needs review" but I can't find a patch to review.

Also, it doesn't look like all the comments from Elena have been addressed. I just tested and the secondary link labels shows the UID of the topic ( ‪T25zpptwklrs0zfv‬ ) instead of "View topic" like we do in other topic-centric notifications.

@matthiasmullie this is in "needs review" but I can't find a patch to review.

Also, it doesn't look like all the comments from Elena have been addressed. I just tested and the secondary link labels shows the UID of the topic ( ‪T25zpptwklrs0zfv‬ ) instead of "View topic" like we do in other topic-centric notifications.

Nevermind. There are other tickets for the follow up.

Etonkovidova added a comment.EditedApr 18 2016, 8:52 PM

Checked in betalabs - the issue is still blocked on the following:

  1. The Summary excerpt is provided in an additional notification message (when a summary was added or was updated during resolving a topic).

The following spec is not done:

a "topic was resolved" notification is sent which includes an excerpt of the
summary (note that a separate summary edited notification is not sent).

Filed as a separate issue T133088: [betalabs] flow-topic-resolved notifications should have a summary excerpt .

  1. Secondary link still shows topic's id - T132229: [betalabs] Flow-topic-resolved notifications display topic id in a secondary link is 'Review in Progress'. - DONE/Verified
  1. T132531: [betalabs] 'Update summary' on blank summary will create an empty view-topic-summary page is 'Review in Progress' - not relevant to this ticket - removing from Blocking tasks.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 7:27 PM
jmatazzoni updated the task description. (Show Details)Apr 20 2016, 10:58 PM

I've updated the ticket description to reflect our discussions and am moving this back to Q&A. Basically:

  • Flow-topic-resolved notifications should include an excerpt of the summary if there is one available (whether it was changed or not).
  • When a topic is resolved and summarized, BOTH a Flow-topic-resolved AND flow-summary-edit notification will be sent (even though it's redundant).

Any comments or corrections? @Etonkovidova? @SBisson?

  • When a topic is resolved and summarized, BOTH a Flow-topic-resolved AND flow-summary-edit notification will be sent (even though it's redundant).

This means that if there is a topic with a summary along the lines of "looking for input", and the user resolves it writing a summary along the lines of "done". The user will get the following notifications:

  • Resolved: "looking for input"
  • Summary updated: "done"

I think it's ok to live with that, but we should still capture the ideal solution (just getting a "Resolved: done" notification in this case) in a ticket to eventually get there. I created the present ticket to represent such solution, which I'm ok to be deprioritised, but let's make sure that not to get lost. So if something different is done, I'd would suggest to capture that in a different ticket or split the remaining parts in a new one.

@Pginer-WMF, re. your hypothetical above, I believe the excerpts in the messages sent would actually be as follows:

  • Flow-summary-edit: "done"
  • Flow-topic-resolved: "done"

Which is to say, if you update the message while resolving the topic, the excerpt for both messages will, I believe, be the same. It's redundant, of course, but slightly better than what's in your example. Am I missing something here?

@Pginer-WMF, re. your hypothetical above, I believe the excerpts in the messages sent would actually be as follows:

  • Flow-summary-edit: "done"
  • Flow-topic-resolved: "done"

    Which is to say, if you update the message while resolving the topic, the excerpt for both messages will, I believe, be the same. It's redundant, of course, but slightly better than what's in your example. Am I missing something here?

Pau's scenario is actually correct and it explains the problem perfectly.

When you click "resolve" the topic is immediately resolved and a notification is sent to that effect. That notification would contain the topic summary as it currently is "looking for input". Then, right after, we open the summarize box in UI to invite you to update the summary. If you do, another notification is sent with the new summary.

Pau's scenario is actually correct and it explains the problem perfectly.

Ahhhh. I see it now. Thanks. So the only solution to that would be to not send an excerpt with the Flow-topic-resolved. I'm sure that carries it's own downside. Does anyone thing that is an improvement over what is in the spec?

jmatazzoni closed this task as Resolved.Apr 21 2016, 6:49 PM